{ lib, config, ... }:
{
  imports = [
    ./windowManager.nix
  ];

  options.desktop = {
    mainMonitor = {
      id = lib.pantheon.mkStrOption;
      scale = lib.pantheon.mkStrOption;
      resolution = lib.pantheon.mkStrOption;
      refresh-rate = lib.pantheon.mkStrOption;
    };
    windowManager = lib.pantheon.mkStrOption;
    lockscreen = lib.pantheon.mkStrOption;
    browser = lib.pantheon.mkStrOption;
    terminal = lib.pantheon.mkStrOption;
    notification-daemon = lib.pantheon.mkStrOption;
    enableSpotifyd = lib.mkEnableOption "";
    enableSteam = lib.mkEnableOption "";
  };

  config = lib.mkMerge [
    (lib.mkIf config.desktop.enableSteam {
      programs.steam = {
        enable = true;
        gamescopeSession.enable = true;
      };
    })
  ];
}
